Last Comment Bug 763475 - Mostly permanent orange on Windows & Linux debug Mozmill tests: Assertion failure: ((__builtin_expect(!!(!((CheckSameOriginPrincipal(principal, old)) & 0x80000000)), 1))), at ../../../../mozilla/caps/src/nsScriptSecurityManager.cpp:2318
: Mostly permanent orange on Windows & Linux debug Mozmill tests: Assertion fai...
Status: RESOLVED FIXED
: intermittent-failure
Product: Thunderbird
Classification: Client Software
Component: Testing Infrastructure (show other bugs)
: Trunk
: x86 Linux
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks: 754202
  Show dependency treegraph
 
Reported: 2012-06-11 06:54 PDT by Mike Conley (:mconley) - (Needinfo me!)
Modified: 2012-11-25 19:31 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
combined patch (65.42 KB, patch)
2012-06-19 02:36 PDT, Bobby Holley (:bholley) (busy with Stylo)
no flags Details | Diff | Splinter Review

Description Mike Conley (:mconley) - (Needinfo me!) 2012-06-11 06:54:48 PDT
We've been seeing this for the past few days on our Linux64 debug Mozmill test machines:

TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
INFO | (runtestlist.py) | account: 0 passed, 1 failed
INFO | (runtestlist.py) | Running directory: addrbook
['/home/cltbld/talos-slave/test/build/mozmill/../mozmill-virtualenv/bin/python', 'runtest.py', '-t', 'addrbook', '--binary', '../thunderbird/thunderbird-bin', '--symbols-path', 'http://ftp.mozilla.org/pub/mozilla.org/thunderbird/tinderbox-builds/comm-central-linux64-debug/1339334913/thunderbird-16.0a1.en-US.linux-x86_64.crashreporter-symbols.zip']
++DOCSHELL 0x1b5a5e0 == 1 [id = 1]
++DOMWINDOW == 1 (0x1cb28f0) [serial = 1] [outer = (nil)]
++DOMWINDOW == 2 (0x1d22300) [serial = 2] [outer = 0x1cb2870]
Warning: unrecognized command line flag -foreground
++DOCSHELL 0x1ebd0c0 == 2 [id = 2]
++DOMWINDOW == 3 (0x1ebf550) [serial = 3] [outer = (nil)]
++DOMWINDOW == 4 (0x1ec9100) [serial = 4] [outer = 0x1ebf4d0]
WARNING: Unable to test style tree integrity -- no content node: file ../../../../mozilla/layout/base/nsCSSFrameConstructor.cpp, line 8018
JavaScript warning: chrome://messenger/content/folderPane.js, line 205: octal literals and octal escape sequences are deprecated
JavaScript warning: chrome://messenger/content/folderPane.js, line 205: octal literals and octal escape sequences are deprecated
JavaScript warning: chrome://messenger/content/folderPane.js, line 205: octal literals and octal escape sequences are deprecated
++DOCSHELL 0x3017100 == 3 [id = 3]
++DOMWINDOW == 5 (0x30187f0) [serial = 5] [outer = (nil)]
++DOCSHELL 0x30222a0 == 4 [id = 4]
++DOMWINDOW == 6 (0x3022ef0) [serial = 6] [outer = (nil)]
++DOCSHELL 0x3024670 == 5 [id = 5]
++DOMWINDOW == 7 (0x30254b0) [serial = 7] [outer = (nil)]
++DOCSHELL 0x306c7b0 == 6 [id = 6]
++DOMWINDOW == 8 (0x306d370) [serial = 8] [outer = (nil)]
JavaScript warning: chrome://messenger/content/mailWindowOverlay.js, line 1384: octal literals and octal escape sequences are deprecated
++DOCSHELL 0x377ecd0 == 7 [id = 7]
++DOMWINDOW == 9 (0x3780320) [serial = 9] [outer = (nil)]
++DOCSHELL 0x37d4cf0 == 8 [id = 8]
++DOMWINDOW == 10 (0x37d58b0) [serial = 10] [outer = (nil)]
++DOCSHELL 0x37d6710 == 9 [id = 9]
++DOMWINDOW == 11 (0x37d7300) [serial = 11] [outer = (nil)]
++DOCSHELL 0x37d8270 == 10 [id = 10]
++DOMWINDOW == 12 (0x37d8e20) [serial = 12] [outer = (nil)]
++DOCSHELL 0x3808700 == 11 [id = 11]
++DOMWINDOW == 13 (0x3809480) [serial = 13] [outer = (nil)]
++DOMWINDOW == 14 (0x3f17100) [serial = 14] [outer = 0x37d8da0]
JavaScript strict warning: chrome://global/content/bindings/browser.xml, line 0: reference to undefined property this.boxObject.QueryInterface(Components.interfaces.nsIContainerBoxObject).docShell
++DOMWINDOW == 15 (0x3fec8a0) [serial = 15] [outer = 0x37802a0]
++DOMWINDOW == 16 (0x43f0d20) [serial = 16] [outer = 0x3018770]
WARNING: Subdocument container has no frame: file ../../../../mozilla/layout/base/nsDocumentViewer.cpp, line 2392
++DOMWINDOW == 17 (0x43ee480) [serial = 17] [outer = 0x3022e70]
++DOMWINDOW == 18 (0x4443910) [serial = 18] [outer = 0x3025430]
WARNING: Subdocument container has no frame: file ../../../../mozilla/layout/base/nsDocumentViewer.cpp, line 2392
++DOMWINDOW == 19 (0x4440e50) [serial = 19] [outer = 0x306d2f0]
++DOMWINDOW == 20 (0x44d7b40) [serial = 20] [outer = 0x37802a0]
++DOMWINDOW == 21 (0x45183f0) [serial = 21] [outer = 0x37d5830]
++DOMWINDOW == 22 (0x454c7b0) [serial = 22] [outer = 0x37d7280]
++DOMWINDOW == 23 (0x4580080) [serial = 23] [outer = 0x37d8da0]
++DOMWINDOW == 24 (0x45b97b0) [serial = 24] [outer = 0x3809400]
JavaScript strict warning: chrome://messenger/content/folderWidgets.xml, line 23: reference to undefined property node.id
JavaScript strict warning: chrome://messenger/content/tabmail.xml, line 350: reference to undefined property aTabType.panelId
JavaScript strict warning: chrome://global/content/bindings/popup.xml, line 0: reference to undefined property this.popupBoxObject.popupState
++DOMWINDOW == 25 (0x4bf8420) [serial = 25] [outer = 0x3018770]
Failed to load jar:file:///home/cltbld/talos-slave/test/build/thunderbird/omni.ja!/chrome/messenger/content/messenger/AccountManager.js
++DOMWINDOW == 26 (0x4c50890) [serial = 26] [outer = 0x3018770]
--DOMWINDOW == 25 (0x4bf8420) [serial = 25] [outer = 0x3018770] [url = chrome://messenger/content/msgAccountCentral.xul]
--DOMWINDOW == 24 (0x3fec8a0) [serial = 15] [outer = 0x37802a0] [url = about:blank]
--DOMWINDOW == 23 (0x3f17100) [serial = 14] [outer = 0x37d8da0] [url = about:blank]
--DOMWINDOW == 22 (0x43f0d20) [serial = 16] [outer = 0x3018770] [url = about:blank]
WARNING: NS_ENSURE_TRUE(mScriptGlobalObject) failed: file ../../../../../../mozilla/content/xul/document/src/nsXULDocument.cpp, line 3598
WARNING: jschar out of char range; high bits of data lost: 0xf7c7: file ../../../../../mozilla/js/xpconnect/src/XPCConvert.cpp, line 356
Assertion failure: ((__builtin_expect(!!(!((CheckSameOriginPrincipal(principal, old)) & 0x80000000)), 1))), at ../../../../mozilla/caps/src/nsScriptSecurityManager.cpp:2318
Using profile dir: /home/cltbld/talos-slave/test/build/mozmill/mozmillprofile
TEST-START | /home/cltbld/talos-slave/test/build/mozmill/addrbook/test-address-book.js | setupModule
TEST-UNEXPECTED-FAIL | Disconnect Error: Application unexpectedly closed
Comment 1 David :Bienvenu 2012-06-11 07:06:03 PDT
I saw this on my windows debug builds as well Friday.
Comment 2 Mike Conley (:mconley) - (Needinfo me!) 2012-06-11 07:25:45 PDT
Bug 754202 is the bug that inserted the assertion that we're failing.
Comment 3 Mark Banner (:standard8) 2012-06-11 07:53:17 PDT
This is definitely affecting Windows & Linux (according to hidden builders). Mac seems green so far though.
Comment 4 Mike Conley (:mconley) - (Needinfo me!) 2012-06-11 09:37:41 PDT
I just saw a Linux 64 Mozmill test machine only return 4 failures (other known random oranges) instead of the 50+ failures that we've been seeing with this bug.

I have to conclude that this bug is either a random orange, OR something landed on mozilla-central that has fixed this bug.
Comment 5 Mark Banner (:standard8) 2012-06-11 09:57:12 PDT
That would be the backout of bug 754202 as referenced in bug 754202 comment 41.

I suggest we leave this open as hopefully it'll then be resolved before that bug lands.
Comment 6 Bobby Holley (:bholley) (busy with Stylo) 2012-06-19 01:26:34 PDT
I've fixed some of the code that was causing those assertions and am almost ready to push again.

I'd like to test against these tests, but it's not clear to me how to do it. Can someone who knows how to run them pull https://github.com/bholley/mozilla-central/commits/decaps and give it a shot?
Comment 7 Mark Banner (:standard8) 2012-06-19 02:25:44 PDT
(In reply to Bobby Holley (:bholley) from comment #6)
> I'd like to test against these tests, but it's not clear to me how to do it.
> Can someone who knows how to run them pull
> https://github.com/bholley/mozilla-central/commits/decaps and give it a shot?

Is there a chance you could post or email me a combined patch against latest trunk or something? We could then push it to our try server for Thunderbird and check it that way.
Comment 8 Bobby Holley (:bholley) (busy with Stylo) 2012-06-19 02:36:23 PDT
Created attachment 634326 [details] [diff] [review]
combined patch

(In reply to Mark Banner (:standard8) from comment #7)
> Is there a chance you could post or email me a combined patch against latest
> trunk or something? We could then push it to our try server for Thunderbird
> and check it that way.

Sure. Attached, should apply cleanly to trunk. Let me know if it doesn't.
Comment 9 Mark Banner (:standard8) 2012-06-19 06:31:21 PDT
Try server build now up and running:

https://tbpl.mozilla.org/?tree=Thunderbird-Try&rev=5b51fd6dd0e9
Comment 10 Mark Banner (:standard8) 2012-06-19 13:43:21 PDT
Try server build looks good, nice and green. Didn't see any failures, and I re-ran a few of the tests to make sure. Thanks for letting us test.
Comment 11 Bobby Holley (:bholley) (busy with Stylo) 2012-06-20 01:22:54 PDT
(In reply to Mark Banner (:standard8) from comment #10)
> Try server build looks good, nice and green. Didn't see any failures, and I
> re-ran a few of the tests to make sure. Thanks for letting us test.

\o/
Comment 12 Mark Banner (:standard8) 2012-08-14 01:28:07 PDT
This is now works for me (as of ages ago) - the revised patch that Bobby supplied in bug 754202 fixed the issues for us. Thanks.

Note You need to log in before you can comment on or make changes to this bug.